# Retrieve a recipient's delivery status (/api-reference/orders/v1-order-id-recipient-delivery-status-get) Returns the latest carrier delivery status for one recipient on an order, identified by the recipient's first and last name, or by their address line. ## `GET /v1/order/{id}/recipient-delivery-status` ### Parameters - `id` (path, required) - `firstName` (query) — Recipient first name (use with lastName). - `lastName` (query) — Recipient last name (use with firstName). - `address` (query) — Recipient address line (Address1 or Address2). Use instead of firstName/lastName. ### Responses - `200` — Successful operation - `400` — Something went wrong - `401` — Authorization key not valid - `403` — Profile's subscription tier does not have access to OpenAPI integrations - `404` — No matching recipient was found on the order - `409` — Multiple recipients match the supplied name or address; refine your query